# 1.5.0
-   (Feature) Added interaction mode (small eye icon)
        - allows to copy and past texts
        - allows to interact with snips which have event handlers
            - e.g. on_click
            - at the moment there are no snips with feedback but the framework is there
-   (Dev) Refactor of overlay modules (related to above)
-   (Dev) Text edit tool uses the new overlay modules


# 1.4.4
-   (Dev) Refactor of tools to reduce some code duplication
-   (Docs) Split the developer docs into deployment and developer guides
    -  Also fixes some old docs, where things just changed
    -  Added to developer guides
        -  snip documentation
        -  tool documentation
    - Parsing of links was broken if they ended with `.md` or `.mdx`
-   (Deployment) Docker entrypoint now automatically checks for database migration

# 1.4.3

-   (Fix) Fixed bug with draw interpolation
    -   On canvas leave the line would be drawn to left top corner because of inserting null values
    -   Do not draw null values
-   (Fix) Logout not handled gracefully

# 1.4.2

-   (Fix) Strange scroll behavior in edit page
-   (Features) Read only mode
    -   tools are dynamically picked by access level
    -   see new field in /book/:id/edit/access
-   (Fix) Fixed a bug where the snips to place where not updated when a user adds a new snip
-   (Fix) Overlay sometimes persisted on page change
-   (Feature) Reenabled old live updates for drawing (might be disabled again depending on performance)

# 1.4.1

-   (Fix) Fixed some alignment problems with the frontpage on mobile devices
-   (Feature) Added pointer events instead of mouse events
    -   This should fix some problems with touch devices
    -   This applies to the resizer, move tool, draw tool and text tool

# 1.4.0

-   (Feature) We have a frontpage now! It explains the features of the app and helps new users get started.
-   (Feature) Pen line smoothing #28
    -   New Slider to adjust smoothing
    -   Ramer-Douglas-Peucker algorithms for simplification of the polyline with additional splines for drawing.
-   (Feature) User settings #29
    -   Settings are saved for each user in the database
    -   Settings are synced across devices
        -   This only happens on page reload or focus change as everything else is confusing if using multiple tabs
    -   Settings include:
        -   Zoom level(s)
        -   Font, Font size, Line height, Line Wrap
        -   Pen color, pen size
-   (Feature) Added background gradient to page viewer
-   (Fix) Fixed a bug where the page was setup multiple times by the worker
-   (Dev) Fonts are now dynamically injected into the page
    -   This makes the process of adding fonts much easier
    -   Has no effect on the user

# 1.3.4

-   (Fix) Chrome range slider looked different than other browsers
-   (Fix) Zoom rounding error #61
-   (Fix) Tab change sometimes produced an empty page i.e. force rerender on activity change

# 1.3.3

-   (Feature) Added modal to configure pdf download
    -   Option to download with page numbers
    -   Option to only download selected pages
-   (Fix) Adjusted styling of page number in sidebar of book viewer
-   (Fix) Fixed bug with resizer using manual input or mouse wheel #61
-   (Fix) Show finished books by default #60
-   (Fix) Fixed tool not changing anymore in textarea on typing "p" or "m" #56

# 1.3.2

-   (Feature) New book browser
    -   Folder sorting
        -   Drag and drop to sort folders
    -   Book sorting
        -   Sort by title, last modified, date added, and num pages

# 1.3.1

-   (Feature) Image compression
    -   Added script to compress all images, see `scripts` folder
    -   Added auto image compression for file uploads
    -   WebP support for images
-   (Feature) Added maintenance mode
    -   Redirects all requests to maintenance.html page
    -   Started by putting COMMAND=maintenance in .env file
