import { ServiceInterface } from "./service.typings";
import {
    BookService,
    ConfigService,
    GroupsService,
    PageService,
    PermissionService,
    SnipService,
    UsersService,
} from "./sql";

const SQLService: ServiceInterface = {
    book: BookService,
    page: PageService,
    snip: SnipService,
    user: UsersService,
    group: GroupsService,
    permission: PermissionService,
    config: ConfigService,
};
export default SQLService;
