import { config } from "config";
import { createHmac } from "crypto";

export function hashToken(token) {
    const hmac = createHmac("sha256", config.API_TOKEN_SECRET);
    hmac.update(token);
    return hmac.digest("hex");
}
