#!/usr/bin/env python3

import requests

""" README:
- before running this script, make sure you have a labbook created and also get
an api key from the labbook editor!
"""
book_id = 2
token = "TOKEN"


def main():

    file = "./example.json"

    # We need to create a files obejct for the request
    files = {"file": (file, open(file, "rb"), "application/json")}

    # Post request
    r = requests.post(
        f"http://localhost:4000/api/books/{book_id}/upload",
        files=files,
        headers={"Authorization": f"Bearer {token}"},
    )

    # Print response
    print(r.text)


if __name__ == "__main__":
    main()
