import { NextApiRequest, NextApiResponse } from "next/types";

import { ApiError } from "../_service";

export default async function unauthorized(
    req: NextApiRequest,
    res: NextApiResponse<ApiError>
) {
    res.status(401).json({
        error: "Unauthorized",
    });
}
