# Upload examples

This folder contains examples of how to upload data to a LabBook, you can take the examples and modify them to suit your needs.

## Usage

Before you run a script have a look at it and exchange the book_id and the access_token with the ones of your LabBook. You can find them in the LabBook's settings.

To run a script, open a terminal and run the script using bash:

```bash
cd ./bash
bash upload_image.sh
```

You can find a number of json files and images in the assets which are used by the scripts. Also have a look at the scripts to see how they are used.

## Images in arrays

As of now there is no nice way to upload images nested in array snips. To do it you have to encode the image binary to base64.

```bash
cat ../assets/TEST.png | base64 |  paste -sd' ' > base64.txt
```

You than have to copy this string into the json file, for an example see `assets/array_with_image.json`.
